aboutsummaryrefslogtreecommitdiffstats
path: root/testing/marble/APKBUILD
diff options
context:
space:
mode:
authorBart Ribbers <bribbers@disroot.org>2019-12-19 13:45:36 +0100
committerRasmus Thomsen <oss@cogitri.dev>2020-01-04 20:03:01 +0100
commitd33b26afd532c021810d466a6c1a229d6e187ca3 (patch)
tree37f7eaaf815ae3bc4c570855a30a684481f52d3d /testing/marble/APKBUILD
parentca1961dea4e1ac1ed068861608889799117ff5ef (diff)
downloadaports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.gz
aports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.bz2
aports-d33b26afd532c021810d466a6c1a229d6e187ca3.tar.xz
community/qt5-qtdeclarative: disable on armhf
It is broken currently (and probably forever), upstream bug report https://bugreports.qt.io/browse/QTBUG-65246 Disable armhf for all packages that depend on qt5-qtdeclarative in one way or another
Diffstat (limited to 'testing/marble/APKBUILD')
-rw-r--r--testing/marble/APKBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/testing/marble/APKBUILD b/testing/marble/APKBUILD
index 42875888f5..36a56f5b86 100644
--- a/testing/marble/APKBUILD
+++ b/testing/marble/APKBUILD
@@ -4,12 +4,12 @@ pkgname=marble
pkgver=19.12.0
pkgrel=0
pkgdesc="A Virtual Globe and World Atlas that you can use to learn more about Earth"
-arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
+arch="all !ppc64le !s390x !armhf" # ppc64le and s390x blocked by qt5-qtwebengine, armhf blocked by qt5-qtdeclarative
url='https://marble.kde.org'
license="LGPL-2.1-or-later AND GPL-3.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtsvg-dev qt5-qtdeclarative-dev qt5-qtwebengine-dev qt5-qttools-dev qt5-qtserialport-dev qt5-qtlocation-dev kdoctools-dev phonon-dev gpsd-dev kcrash-dev kcoreaddons-dev kwallet-dev knewstuff-dev kparts-dev plasma-framework-dev krunner-dev ki18n-dev kio-dev shared-mime-info"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/marble-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
options="!check" # Requires itself to be installed